# Copyright 2009-2021, Marc Simonetti <marc.simonetti@geekcorp.fr>
#
# This file is part of iPreso.
#
# iPreso is free software: you can redistribute it and/or
# modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation,
# either version 3 of the License, or (at your option) any
# later version.
#
# iPreso is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the
# implied warranty of MERCHANTABILITY or FITNESS FOR
# A PARTICULAR PURPOSE. See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General
# Public License along with iPreso. If not, see
# <https:#www.gnu.org/licenses/>.
#
# ====
# *****************************************************************************
#  Description : Makefile to build iPreso's plugins
#  Auteur      : Marc Simonetti
# *****************************************************************************

PLUGIN_BIN=powerctrl.cmd
PLUGIN_OTHER_FILES=powerctrl.conf
CURRENTDIR=$(shell basename `pwd`)

RM=@rm -f
CP=@cp
CC=@gcc


# *****************************************************************************
# Targets
all:
	@echo > /dev/null

clean:
	@echo -n "* Cleaning $(CURRENTDIR)... "
	$(RM) $(PLUGIN_TARGET)
	@echo "Ok"

install:
	@echo -n "* Installing $(CURRENTDIR)... "
	@mkdir -p $(DESTDIR)/var/lib/iplayer/cmd
	@cp $(PLUGIN_BIN) $(PLUGIN_OTHER_FILES) $(DESTDIR)/var/lib/iplayer/cmd/
	@mkdir -p $(DESTDIR)/etc/rsyslog.d
	@cp rsyslog-51.conf $(DESTDIR)/etc/rsyslog.d/51-iplayer-powerctrl.conf
	@mkdir -p $(DESTDIR)/etc/logrotate.d
	@cp logrotate.conf $(DESTDIR)/etc/logrotate.d/iplayer-powerctrl.conf
	@mkdir -p $(DESTDIR)/etc/sudoers.d
	@cp sudoers $(DESTDIR)/etc/sudoers.d/iplayer-powerctrl
	@echo "Ok"
